import requests
import json
from db import setAccessToken, getAccessToken
from mail import sendMail
import json

def requestsAccessToken():
    url = 'https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=wx2186b63dad75fd21&secret=26a895a874615a7c112d056cc1094a80'
    res = requests.get(url=url)
    json_response = res.content.decode()
    dict_json = json.loads(json_response)
    if not dict_json.get('access_token'):
        return
    set_res = setAccessToken(dict_json['access_token'])
    # if set_res['errcode'] != 200:
    #     sendMail('警告！', str(set_res), ['1144131090@qq.com','160594753@qq.com'])

def batchget_material(data):
    # 从数据库取出
    access_token = getAccessToken()
    # 错误拦截
    if access_token['errcode'] != 200:
        return access_token
    # 取出access_token
    access_token = access_token['access_token']
    # 拼接访问地址
    url = 'https://api.weixin.qq.com/cgi-bin/material/batchget_material?access_token=' + access_token
    # 发送请求
    res = requests.post(url, data=json.dumps(data))
    # 返回内容解码
    json_response = res.content.decode()
    # json化
    dict_json = json.loads(json_response)
    return {'errcode': 200, 'errmsg': 'ok', 'material': dict_json}
